import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="pyslit",                     # This is the name of the package
    version="3.9.0",                        # The initial release version
    author="Ashraq",                     # Full name of the author
    author_email='ashraqmohideen@gmail.com',
    description="AI(ChatGPT), AI image creator, Text to speech, Speech recognizer, Music player, Play video on youtube, Google and Wikipedia search, Control the system, News, Datetime,Run cmd commands, All in one perfect module for data types",
    long_description=long_description,      # Long description read from the the readme file
    long_description_content_type="text/markdown",
    packages=setuptools.find_packages(),    # List of all python modules to be installed
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],                                      # Information to filter the project on PyPi website
    setup_requires=['setuptools_scm'],
    python_requires='>=3.10',                # Minimum version requirement of the package
    py_modules=["pyslit"],             # Name of the python package
    package_dir={'':'pyslit/src'},     # Directory of the source code of the package
    install_requires=[                     # Install other dependencies if any
        'pyttsx3',
        'pygame',
        'pyaudio',
        'SpeechRecognition',
        'pywhatkit',
        'wikipedia',
        'requests',
        'datetime',
        'bs4',
        'openai==1.3.6'
    ]
)
